Package org.eclipse.cdt.core.index

## Interface IIndexLinkage

All Superinterfaces:
  `ILinkage`

    public interface IIndexLinkage
    extends ILinkage

Represents the linkage of a name in the index.

Since:
  4.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static IIndexLinkage[]` `EMPTY_INDEX_LINKAGE_ARRAY` Empty IIndexLinkage array constant

### Fields inherited from interface org.eclipse.cdt.core.dom.ILinkage

`C_LINKAGE_ID, C_LINKAGE_NAME, CPP_LINKAGE_ID, CPP_LINKAGE_NAME, FORTRAN_LINKAGE_ID, FORTRAN_LINKAGE_NAME, MAX_LINKAGE_ID, NO_LINKAGE_ID, NO_LINKAGE_NAME, OBJC_LINKAGE_ID, OBJC_LINKAGE_NAME, QT_LINKAGE_ID, QT_LINKAGE_NAME`

### Method Summary

### Methods inherited from interface org.eclipse.cdt.core.dom.ILinkage

`getLinkageID, getLinkageName`

### Field Detail

#### EMPTY_INDEX_LINKAGE_ARRAY

    static final IIndexLinkage[] EMPTY_INDEX_LINKAGE_ARRAY

Empty IIndexLinkage array constant

Since:
  4.0.1